%{!?python_sitelib:  %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%{!?python_abi:      %define python_abi %(%{__python} -c "import sys; print sys.version[:3]")}

%define modn   adns
%define modv   1.2.1


Summary:       A Python interface to the GNU adns library
Name:          python-%{modn}
Version:       %{modv}
Release:       2%{?dist}%{?pext}
License:       GPL
Group:         Development/Libraries
Source0:       http://%{modn}-python.googlecode.com/files/%{modn}-python-%{modv}.tar.gz
URL:           http://code.google.com/p/%{modn}-python/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Andy Dustman <farcepest@gmail.com>
Provides:      python(%{modn}) = %{modv}
BuildRequires: adns-devel >= 1.2
BuildRequires: python-devel >= 2.3.5 python-setuptools


%description
Adns-python is a Python interface to the GNU asynchronous DNS resolver
library (adns).


%prep
%setup -q -n %{modn}-python-%{modv}


%build
%{__python} -c 'import setuptools; execfile("setup.py")' build


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ChangeLog GPL README
%{python_sitearch}/ADNS.py*
%{python_sitearch}/DNSBL.py*
%{python_sitearch}/adns.so
%{python_sitearch}/*.egg-info


%changelog
* Fri Oct 31 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.1-2
- Added missing egg info

* Fri Oct 31 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.2.1-1
- New version (1.2.1)

* Mon Jan 29 2007 peter.pramberger@member.fsf.org 1.1.1-3
- some spec file cleanups (x86_64 support)

* Fri Dec 15 2006 peter.pramberger@member.fsf.org 1.1.1-2
- created
